import request from '@/utils/request'

// 获取商品列表
export function getProdList(params) {
  return request({
    url: '/auth/product/list',
    method: 'get',
    params
  })
}

// 添加商品
export function saveProduct(data) {
  return request({
    url: '/auth/product/save',
    method: 'post',
    data
  })
}

// 根据id获取商品信息
export function getProductById(params) {
  return request({
    url: '/auth/product/form/data',
    method: 'get',
    params
  })
}

// 修改商品状态
export function setProductStatus(data) {
  return request({
    url: '/auth/product/update/status',
    method: 'post',
    data
  })
}

// 删除商品
export function removeProduct(data) {
  return request({
    url: '/auth/product/delete',
    method: 'post',
    data
  })
}

// 审核商品 /auth/product/audit
export function auditProduct(data) {
  return request({
    url: '/auth/product/audit',
    method: 'post',
    data
  })
}
